<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <PropertyGroup>
    <DefineConstants>$(DefineConstants);JETBRAINS_ANNOTATIONS</DefineConstants>
  </PropertyGroup>

  <PropertyGroup>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <!--<WarningsAsErrors></WarningsAsErrors>-->
    <!--<NoWarn>$(NoWarn)</NoWarn>-->
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'Release'">
<!--    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>-->
<!--    <WarningLevel>0</WarningLevel>-->
    <!--<WarningsAsErrors></WarningsAsErrors>-->
    <!--<NoWarn>$(NoWarn)</NoWarn>-->
  </PropertyGroup>

  <ItemGroup>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>$(ProjectId).Test</_Parameter1>
    </AssemblyAttribute>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>DynamicProxyGenAssembly2</_Parameter1>
    </AssemblyAttribute>
  </ItemGroup>

</Project>
